%define		module	dbfpy

Summary:	Module for accessing .DBF (dBase) files
Summary(pl.UTF-8):	Moduł pozwalajacy na dostęp do plików .DBF (dBase)
Name:		python-%{module}
Version:	2.2.4
Release:	4
License:	Public Domain
Group:		Development/Languages/Python
Source0:	http://dl.sourceforge.net/dbfpy/%{module}-%{version}.tar.gz
# Source0-md5:	1462be16a2c3d9afcca55a981bf2d75d
URL:		http://dbfpy.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dbfpy is a python-only module for reading and writing DBF-files. It
was created by Jeff Kunce and then modified by Hans Fiby and Yaroslav
Samchuk.

%description -l pl.UTF-8
dbfpy to czysto pythonowy moduł do odczytu i zapisu plików DBF. Został
stworzony przez Jeffa Kunce, a następnie zmodyfikowany przez Hansa
Fiby'ego i Yaroslava Samchuka.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%dir %{py_sitescriptdir}/dbfpy
%{py_sitescriptdir}/dbfpy/*.py[co]
%{py_sitescriptdir}/*.egg-info
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-dbfpy.git;a=log;h=master

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> daa35cf
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 395a88b
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7011d11
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6294b66
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 6698e19
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 31fe4f3
- release 2

* Sun Oct 25 2009 Artur Frysiak <artur@frysiak.net> 0d1716f
- updated to 2.2.4

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ce7357
- release 2

* Tue Jan 29 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b658047
- up to 2.2.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 859c909
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 05579a1
- converted to UTF-8

* Wed Dec 20 2006 Jakub Bogusz <qboosh@pld-linux.org> bc9d234
- pl, missing dir

* Thu Dec 07 2006 Artur Frysiak <artur@frysiak.net> 62010db
- initial version

